#!/usr/bin/env python

# ATTENTION:
# If you are reading this, you have opened the file in a text editor.
# If you would like to *run* this example rather than *read* it, you
# should open Terminal.app, drag this document's icon onto the terminal
# window, bring Terminal.app to the foreground (if necessary) and hit return.

import string
import sys
import os
import re

def findCocoaDialog():
    possiblePlaces = ["/Applications", "/Library/Application Support",
                      "~/Applications", "~/Library/Application Support"]
    for theBase in possiblePlaces:
        thePath = os.path.expanduser(os.path.join(theBase,"CocoaDialog.app"))
        if os.path.exists(thePath):
            thePath = os.path.join(thePath,"Contents/MacOS/CocoaDialog")
            return "\"" + thePath + "\""
    return ""
    
def findAssembler():
    possiblePlaces = ["", "/Applications", "/Library/Application Support",
                      "~/Applications", "~/Library/Application Support"]
    for theBase in possiblePlaces:
        thePath = os.path.expanduser(os.path.join(theBase,"pLMMAss.jar"))
        if os.path.exists(thePath):
            return "\"" + thePath + "\""
    return ""
    

if __name__ == "__main__":
    thePath = findCocoaDialog()
    template = "%s fileselect --string-output --text \"%s\" --with-extensions %s"
    message = "Select file to assemble"
    extensions = "asm"
    pipe = os.popen(template % (thePath, message, extensions),"r")
    lines = re.split("\n",pipe.read())
    pipe.close()
    if lines[0] <> "":
        template ="java -jar \"%s\" \"%s\"" % (findAssembler(), lines[0])
        print template
        pipe = os.popen(template, "r")
        lines = pipe.read()
        pipe.close()
        template = "%s ok-msgbox --text \"Propeller Assembler\" --no-cancel"
        template = template + " --icon info --informative-text \"%s\""
        pipe = os.popen(template % (thePath, lines),"r")
        lines = pipe.read()
        pipe.close()
